Welcome to the DevOps Example Task repository! This repository contains various tasks related to our DevOps operations, and each task is organized in its respective subdirectory. To contribute your solutions, please follow the instructions below.

## Task Structure

Each task is located in a separate subdirectory and has its own README.md file that provides details about the task. **Note: please aim to spend 5-10 mins on any given task here. We're not expecting full beautiful patches but suggestions and an example of how you'd improve the codebase**. Here is an overview of the available tasks:

- [Task 01](./01): Terraform Optimization
- [Task 02](./02): Next.js Application Dockerization
- [Task 03](./03): GitLab Pipeline for Terraform
- [Task 04](./04): Architectural Questions and Descriptions

## Task Instructions

To complete a task and submit your solutions, please follow these steps:

1. Fork this repository to your account.
1. Create a new branch for your changes based on the tasks you want to tackle.
1. Implement your solutions within the designated subdirectory for the task.
1. Either apply your changes to the files themselves with a few descriptive comments, or provide a `answers.md` to respond to the question on what your approach would be. 
1. Once you have completed the task, create a merge request to the main repository.

Please note the following guidelines:

1. Remember to spend no more than 5-10 minutes on each task.
1. You can provide either code snippets or general responses describing your approach.
1. Be concise, yet clear in your answers to keep the responses concise and informative.
1. Feel free to leverage any relevant documentation, tools, or best practices while working on the tasks.

We appreciate your contribution and look forward to reviewing your solutions! If you have any questions or need further clarification, please don't hesitate to ask.
